      subroutine setprof
*
*  this routine is called once.  after reading in the desired
*  alph() constants (diffusion exponents), compute the
*  integrals 1 thru 4 to calibrate qmix1 and qmix2 and the upper
*  and lower boundaries of both transition zones.  integration
*  is by the trapazoidal rule.  the integration subroutines
*  are by press et al.
*       qmix1, qmix2: mass where concentrations of two species are equal
*       zone(1,1):    upper h transition zone boundary
*       zone(1,2):    lower h transition zone boundary
*       zone(2,1):    upper he transition zone boundary
*       zone(2,2):    lower he transition zone boundary
*  nominal values derived using 'trace' approximation and assuming
*  diffusive equilibrium:
*       alph(1): 5
*       alph(1): -5/4
*       alph(1): 2
*       alph(1): -2/3
*  MAW 2/14/88
*
      implicit double precision(a-h,o-z)

      common/alpha/alph(4),qmix1,qmix2,zone(2,2)
      common/je/je
      common/comp/amhyhe,amheca,x(4)
      external func1,func2,func3,func4

      zero = 0.
      cent = 100.
      one  = 1.

      call qsimp(func1,zero,   one, aint1)
      call qsimp(func2, one,  cent, aint2)
      call qsimp(func3,zero,   one, aint3)
      call qsimp(func4, one,  cent, aint4)

      qmix1 = amhyhe / ( aint1 + aint2 )
      qmix2 = amheca / ( aint3 + aint4 )

      zone(1,1) =   0.01 * qmix1
      zone(1,2) = 100.   * qmix1
      zone(2,1) =   0.01 * qmix2
      zone(2,2) = 400.   * qmix2

      return
      end

************************************************************************

